      function ddexp(arg)
      implicit real*8 (a-h,o-z)
      if (dabs(arg).lt.150.d0) then
      ddexp=dexp(arg)
      return
      else
      if (arg.lt.0) ddexp=0.d0
      if (arg.gt.0) ddexp=1.d65
      return
      endif
      end
      
